# Generated by Django 2.2.6 on 2019-10-12 12:34

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('AKModel', '0005_ak_slot'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='event',
            options={'ordering': ['name'], 'verbose_name': 'Event', 'verbose_name_plural': 'Events'},
        ),
        migrations.AlterField(
            model_name='ak',
            name='event',
            field=models.ForeignKey(help_text='Associated event', on_delete=django.db.models.deletion.CASCADE,
                                    to='AKModel.Event', verbose_name='Event'),
        ),
        migrations.AlterField(
            model_name='ak',
            name='interest',
            field=models.IntegerField(default=-1, help_text='Expected number of people', verbose_name='Interest'),
        ),
        migrations.AlterField(
            model_name='ak',
            name='reso',
            field=models.BooleanField(default=False, help_text='Intends to submit a resolution',
                                      verbose_name='Resolution Intention'),
        ),
        migrations.AlterField(
            model_name='ak',
            name='short_name',
            field=models.CharField(blank=True, help_text='Name displayed in the schedule', max_length=64, unique=True,
                                   verbose_name='Short Name'),
        ),
        migrations.AlterField(
            model_name='ak',
            name='tags',
            field=models.ManyToManyField(blank=True, help_text='Tags provided by owners', to='AKModel.AKTag',
                                         verbose_name='Tags'),
        ),
        migrations.AlterField(
            model_name='ak',
            name='track',
            field=models.ForeignKey(help_text='Track the AK belongs to', null=True,
                                    on_delete=django.db.models.deletion.SET_NULL, to='AKModel.AKTrack',
                                    verbose_name='Track'),
        ),
        migrations.AlterField(
            model_name='akowner',
            name='email',
            field=models.EmailField(blank=True, help_text='Contact mail', max_length=128,
                                    verbose_name='E-Mail Address'),
        ),
        migrations.AlterField(
            model_name='akowner',
            name='event',
            field=models.ForeignKey(help_text='Associated event', on_delete=django.db.models.deletion.CASCADE,
                                    to='AKModel.Event', verbose_name='Event'),
        ),
        migrations.AlterField(
            model_name='akowner',
            name='institution',
            field=models.CharField(blank=True, help_text='Uni etc.', max_length=128, verbose_name='Institution'),
        ),
        migrations.AlterField(
            model_name='akowner',
            name='name',
            field=models.CharField(help_text='Name to identify an AK owner by', max_length=256,
                                   verbose_name='Nickname'),
        ),
        migrations.AlterField(
            model_name='akrequirement',
            name='event',
            field=models.ForeignKey(help_text='Associated event', on_delete=django.db.models.deletion.CASCADE,
                                    to='AKModel.Event', verbose_name='Event'),
        ),
        migrations.AlterField(
            model_name='akrequirement',
            name='name',
            field=models.CharField(help_text='Name of the Requirement', max_length=128, unique=True,
                                   verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='akslot',
            name='event',
            field=models.ForeignKey(help_text='Associated event', on_delete=django.db.models.deletion.CASCADE,
                                    to='AKModel.Event', verbose_name='Event'),
        ),
        migrations.AlterField(
            model_name='aktrack',
            name='color',
            field=models.CharField(blank=True, help_text='Color for displaying', max_length=7, verbose_name='Color'),
        ),
        migrations.AlterField(
            model_name='aktype',
            name='color',
            field=models.CharField(blank=True, help_text='Color for displaying', max_length=7, verbose_name='Color'),
        ),
        migrations.AlterField(
            model_name='event',
            name='place',
            field=models.CharField(help_text='City etc. the event takes place in', max_length=128,
                                   verbose_name='Place'),
        ),
        migrations.AlterField(
            model_name='room',
            name='building',
            field=models.CharField(help_text='Name/number of the building', max_length=256, verbose_name='Building'),
        ),
        migrations.AlterField(
            model_name='room',
            name='event',
            field=models.ForeignKey(help_text='Associated event', on_delete=django.db.models.deletion.CASCADE,
                                    to='AKModel.Event', verbose_name='Event'),
        ),
    ]
